
package net.mcreator.azertymod.itemgroup;

import net.minecraftforge.api.distmarker.OnlyIn;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.item.ItemStack;
import net.minecraft.item.ItemGroup;

import net.mcreator.azertymod.item.AzertyumingotItem;
import net.mcreator.azertymod.AzertymodElements;

@AzertymodElements.ModElement.Tag
public class AzertyEnergyItemGroup extends AzertymodElements.ModElement {
	public AzertyEnergyItemGroup(AzertymodElements instance) {
		super(instance, 35);
	}

	@Override
	public void initElements() {
		tab = new ItemGroup("tabazertyenergy") {
			@OnlyIn(Dist.CLIENT)
			@Override
			public ItemStack createIcon() {
				return new ItemStack(AzertyumingotItem.block, (int) (1));
			}

			@OnlyIn(Dist.CLIENT)
			public boolean hasSearchBar() {
				return true;
			}
		}.setBackgroundImageName("item_search.png");
	}
	public static ItemGroup tab;
}
